petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMKSPSetComputeInitialGuess

set KSP initial guess evaluation function

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPSetComputeInitialGuess(DM dm,PetscErrorCode (*func)(KSP,Vec,void*),void *ctx)

Not Collective

### Input Argument

| dm | - DM to be used with KSP
| func | - initial guess evaluation function, see KSPSetComputeInitialGuess() for calling sequence
| ctx | - context for right hand side evaluation

### Note

KSPSetComputeInitialGuess() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

DMKSPSetContext(), DMKSPGetComputeRHS(), KSPSetRHS()

Level:advanced
Location:src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages